using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkResultToFacility
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkRequestId { get; set; }
        [Key]
        public int FacilityCode { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("FmsWorkResultToFacility")]
        public virtual CmFacility CmFacility { get; set; }
        [ForeignKey("SiteId,WorkRequestId")]
        [InverseProperty("FmsWorkResultToFacility")]
        public virtual FmsWorkResult FmsWorkResult { get; set; }
    }
}
